Skip to main content
POST
Add a bot protection exception rule to an environment

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

env_id
string<uuid>
required
Example:

"54fb80af-576c-4fdc-ba4f-b596c83f15a1"

Body

application/json
type
enum<string>
required

The attribute the exception rule matches on.

Available options:
ip,
path,
user_agent,
country
Example:

"ip"

action
enum<string>
required

The action to apply to traffic matching the rule.

Available options:
skip,
challenge,
block
Example:

"skip"

value
string
required

The value to match against, based on the selected type.

Minimum string length: 1
Example:

"192.0.2.1"

Response

Adding the bot protection exception rule started. Use the operation_id to check the status.

message
string
required
Example:

"Adding a bot protection exception rule in progress. Use the operation_id to check the status."

status
number
required
Example:

202

operation_id
string
Example:

"environment:add-bot-protection-exception-rule-54fb80af-576c-4fdc-ba4f-b596c83f15a1"